<?php //print_r($this->rBloques); ?>
<section class="contenedor-proyectos-interna">
    <div class="main-container">
        <div class="contenedor-proyectos-grid">
        <?php if($this->rBloques){ ?>
        <?php foreach($this->rBloques as $bloque){ ?>
            <?php
                switch ($bloque['tipo']) {
                    case 'instagram':
                        $dataInsta = get_option('wdi_instagram_options');
                        echo '<div class="item g12x12">';
                        smk_get_template_part('template-parts/components/bloque-instagram-interna.php', array(
                            'instaToken' => $dataInsta['wdi_access_token'],
                            'instaUserId' => $dataInsta['wdi_user_id'],
                            'instaUserName' => $dataInsta['wdi_user_name']
                        ));
                        echo '</div>';

                        break;
                    case 100:
                        echo '<div class="item g12x12">
                                '.obtenerBloque($bloque["bloque_1"]).'
                            </div>';

                        break;
                    case '33a66':
                        echo '<div class="item g12x4">
                                    '.obtenerBloque($bloque["bloque_1"]).'
                                </div>
                                <div class="item g12x8">
                                    '.obtenerBloque($bloque["bloque_2"]).'
                                </div>';
                        break;
                }
            ?>

        <?php } ?>
        <?php } ?>
        </div>
    </div>
</section>

<?php 

function obtenerBloque($bloque) {
    switch ($bloque["tipo"]) {
        case "image":
            return '<div class="contenedor-background">
                        <img src="'.$bloque["imagen"]["url"].'" alt="">
                    </div>';
            break;
        
        case "embed":
            return '<div class="contenedor-embed">
                        '.$bloque["embed"].'
                    </div>';
            break;
    }
}

?>